import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/notice_board_documents_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/notice_board_documents_entity.g.dart';

@JsonSerializable()
class NoticeBoardDocumentsEntity {
	late int count = 0;
	late int page = 0;
	late int limit = 0;
	@JSONField(name: "count_page")
	late int countPage = 0;
	late List<NoticeBoardDocumentsList> list = [];

	NoticeBoardDocumentsEntity();

	factory NoticeBoardDocumentsEntity.fromJson(Map<String, dynamic> json) => $NoticeBoardDocumentsEntityFromJson(json);

	Map<String, dynamic> toJson() => $NoticeBoardDocumentsEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class NoticeBoardDocumentsList {
	late int id = 0;
	@JSONField(name: "parent_id")
	late int parentId = 0;
	late String name = '';
	late String url = '';

	NoticeBoardDocumentsList();

	factory NoticeBoardDocumentsList.fromJson(Map<String, dynamic> json) => $NoticeBoardDocumentsListFromJson(json);

	Map<String, dynamic> toJson() => $NoticeBoardDocumentsListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}